package edu.georgetown.gucs.bloomfilter;
import java.io.*;

public class LongBitSetSerializer {
    public static void serialize(LongBitSet lbs, DataOutputStream dos) throws IOException {
        ObjectOutputStream oos = new ObjectOutputStream(dos);
        oos.writeObject(lbs);
        oos.flush();
    }

    public static LongBitSet deserialize(ByteArrayInputStream bis) throws IOException {
        ObjectInputStream ois = new ObjectInputStream(bis);
        try {
            return (LongBitSet) ois.readObject();
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}

